Package org.opensaml.saml.metadata.generator.impl

# Class SingleSignOnServiceConverter

java.lang.Object
org.opensaml.saml.metadata.generator.impl.AbstractEndpointConverter<SingleSignOnService>
org.opensaml.saml.metadata.generator.impl.SingleSignOnServiceConverter

All Implemented Interfaces:
  `BiFunction<String,List<String>,SingleSignOnService>`

public class SingleSignOnServiceConverter extends AbstractEndpointConverter<SingleSignOnService>
Support for parsing a binding/endpoint pair into a `SingleSignOnService`.

Since:
  5.0.0

## Constructor Summary

Constructors
Constructor
Description
`SingleSignOnServiceConverter()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`SingleSignOnService`
`apply(String value, List<String> protocols)`

### Methods inherited from class org.opensaml.saml.metadata.generator.impl.AbstractEndpointConverter

`addBinding, getLocation, getProcessedEndpoint, getProtocolAndBinding`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.BiFunction

`andThen`

## Constructor Details

### SingleSignOnServiceConverter

public SingleSignOnServiceConverter()
Constructor.

## Method Details

### apply

@Nonnull public SingleSignOnService apply(@Nullable String value, @Nullable @Live List<String> protocols)